package com.xhpc.general.domain;

import java.util.Date;

/**
 * program: ruoyi
 * User: HongYun
 * Date:2021-09-10 14
 */
public class EtTokenEntity {
    private Integer id;
    private String operatorId;
    private String operatorId3irdpty;
    private String secretTokenType;
    private String token;
    private Date tokenExpiry;
    private String dataSecret;
    private String dataSecretiv;
    private String operatorSecret;
    private String sigSecret;
    private Boolean encrypt;
    private String urlPrefix;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getOperatorId() {
        return operatorId;
    }

    public void setOperatorId(String operatorId) {
        this.operatorId = operatorId;
    }

    public String getOperatorId3irdpty() {
        return operatorId3irdpty;
    }

    public void setOperatorId3irdpty(String operatorId3irdpty) {
        this.operatorId3irdpty = operatorId3irdpty;
    }

    public String getSecretTokenType() {
        return secretTokenType;
    }

    public void setSecretTokenType(String secretTokenType) {
        this.secretTokenType = secretTokenType;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public Date getTokenExpiry() {
        return tokenExpiry;
    }

    public void setTokenExpiry(Date tokenExpiry) {
        this.tokenExpiry = tokenExpiry;
    }

    public String getDataSecret() {
        return dataSecret;
    }

    public void setDataSecret(String dataSecret) {
        this.dataSecret = dataSecret;
    }

    public String getDataSecretiv() {
        return dataSecretiv;
    }

    public void setDataSecretiv(String dataSecretiv) {
        this.dataSecretiv = dataSecretiv;
    }

    public String getOperatorSecret() {
        return operatorSecret;
    }

    public void setOperatorSecret(String operatorSecret) {
        this.operatorSecret = operatorSecret;
    }

    public String getSigSecret() {
        return sigSecret;
    }

    public void setSigSecret(String sigSecret) {
        this.sigSecret = sigSecret;
    }

    public Boolean getEncrypt() {
        return encrypt;
    }

    public void setEncrypt(Boolean encrypt) {
        this.encrypt = encrypt;
    }

    public String getUrlPrefix() {
        return urlPrefix;
    }

    public void setUrlPrefix(String urlPrefix) {
        this.urlPrefix = urlPrefix;
    }
}
